LinuxQuestions.org

LinuxQuestions.org (/questions/)
-   Linux - Software (http://www.linuxquestions.org/questions/linux-software-2/)
-   -   make error "libtool: link: cannot find the library `' " (http://www.linuxquestions.org/questions/linux-software-2/make-error-libtool-link-cannot-find-the-library-%60-103647/)

jdolluc 10-13-2003 11:22 PM

make error "libtool: link: cannot find the library `' "
 
First of all i would like to say thank you to the developers of libtool for that wonderful error message.....tells me so much.

I am in the process of setting up Apollon for a giFT gui. I have been using giFToxic, and decided that I would like to check out apollon, due to the lack of options in toxic. I downloaded the latest source off their sourceforge page, it configured just fine, but when i do 'make' it gives me the very cryptic:

libtool: link: cannot find the library `'

here is the block it comes from:

/bin/sh ../libtool --silent --mode=link --tag=CXX g++ -g -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W -Wpointer-arith -Wwrite-strings -ansi -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -Wcast-align -Wconversion -Wchar-subscripts -O2 -Wformat-security -Wmissing-format-attribute -fno-exceptions -fno-check-new -fno-common -o apollon -L/usr/X11R6/lib -L/usr/lib -R /usr/lib -R /usr/X11R6/lib main.o apollonsystemtray.o apollon.o giftconnection.o inifile.o inisection.o apollontab.o apolloninfotab.o apollonsearchtab.o apollonqueryview.o apollonsearchviewitem.o apollonutils.o apollontransfertab.o apollontransferviewitem.o apollonsearchviewitemchild.o apollonbrowseview.o apollonbrowseviewitem.o apollonplayertab.o pluginlistitem.o apollonsharedviewtab.o sigdialog.o qpassivepopup.o ktabwidget.o apollonlistview.o preferences.o firstrun.o apollontransfertab.moc.o giftconnection.moc.o apollontab.moc.o apollonqueryview.moc.o apollonsystemtray.moc.o apollonplayertab.moc.o apollonsharedviewtab.moc.o sigdialog.moc.o apollonbrowseview.moc.o pluginlistitem.moc.o apolloninfotab.moc.o apollon.moc.o qpassivepopup.moc.o apollonsearchtab.moc.o -lkdeui -lkdecore -lkio -lkparts -lqt-mt -lz -lpng -lz -lm -lXext -lX11 -lSM -lICE -lpthread -Llibapollon -lapollon -lkmediaplayer -lgift
libtool: link: cannot find the library `'
make[3]: *** [apollon] Error 1


i have read somewhere that its the pthread flag that is throwing the error, and unfortunately I have no idea if this is correct or not. I know nothing about libtool, and really not that much about compiling in linux in general. any ideas what is causing this? a missing package? a broken link?

acid_kewpie 10-15-2003 04:44 PM

a careful google finds someone saying:

I had the exact same problem building Subversion on Red Hat 8.0. I went
through and replaced every copy of ltmain.sh in the source
trees with a newer one from /usr/share/libtool. After that, I ran 'make
distclean' in each tree and started building again. It solved the
problem for me.

worth a shot

jdolluc 10-15-2003 09:51 PM

nope....but thanks


All times are GMT -5. The time now is 03:32 PM.